# WOK
TKWOK
WOKOBJS

# WOKOBJS_EngLinkList Class Reference

`#include <WOKOBJS_EngLinkList.hxx>`

Inheritance diagram for WOKOBJS_EngLinkList:

[legend]

## Public Member Functions

Standard_EXPORT | WOKOBJS_EngLinkList (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

virtual Standard_EXPORT void | ComputeSchema (const Handle(WOKernel_DevUnit)&aunit, const Handle(WOKMake_InputFile)&infile)

## Constructor & Destructor Documentation

Standard_EXPORT WOKOBJS_EngLinkList::WOKOBJS_EngLinkList | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

virtual Standard_EXPORT void WOKOBJS_EngLinkList::ComputeSchema | ( | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(WOKMake_InputFile)& | infile
| ) | `[private, virtual]`

| Reimplemented from WOKStep_EngLinkList.

Standard_EXPORT const WOKOBJS_EngLinkList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_EngLinkList.

The documentation for this class was generated from the following file:

- WOKOBJS_EngLinkList.hxx